﻿using System.Collections;
using System.Collections.Generic;
using UnityEngine;

public class GuitarHero : MonoBehaviour
{
    public bool NotaPresionada = false;
    public int contadorNotas = 0;

    [SerializeField] private GameObject[] notas;
    [SerializeField] private GameObject[] botones;



    private void Update()
    {
        VerificarNota();
        VerificarCodigos();

    }

    private void VerificarCodigos()
    {
        if (contadorNotas == 0)
        {
            //Notas
            notas[1].SetActive(false);
            notas[2].SetActive(false);
            notas[0].SetActive(true);
            //Botones
            botones[0].SetActive(true);
            botones[1].SetActive(false);
            botones[2].SetActive(false);
        }
        else if(contadorNotas == 1)
        {
            //Notas
            notas[1].SetActive(true);
            notas[2].SetActive(false);
            notas[0].SetActive(false);
            //Botones
            botones[0].SetActive(false);
            botones[1].SetActive(true);
            botones[2].SetActive(false);
        }
        else if(contadorNotas == 2)
        {
            //Notas
            notas[1].SetActive(false);
            notas[2].SetActive(true);
            notas[0].SetActive(false);
            //Botones
            botones[0].SetActive(false);
            botones[1].SetActive(false);
            botones[2].SetActive(true);
        }
        else
        {
            //Notas
            notas[1].SetActive(false);
            notas[2].SetActive(false);
            notas[0].SetActive(false);
            //Botones
            botones[0].SetActive(false);
            botones[1].SetActive(false);
            botones[2].SetActive(false);

            //Accion al terminar el juego


        }
    }


    private void VerificarNota()
    {
        if (NotaPresionada)
        {
            contadorNotas++;
            NotaPresionada = false;
            if(contadorNotas == notas.Length)
            {
                //Aqui pasa lo que pasa cuando ganas
                Debug.Log("Acabaste :D");
                AudioManager.instance.PlayClip("Complete", "Effects2");

                GameManager.GetInstancia().IncrementarContador();
                GameManager.GetInstancia().ActivarAnimacionesVanish(2);
                Invoke("Desactivar", 2f);
            }

        }
    }


    private void Desactivar()
    {
        gameObject.SetActive(false);
    }
}
