﻿using System.Collections;
using System.Collections.Generic;
using UnityEngine;

public class GiroTiles : MonoBehaviour
{
    [SerializeField] private Bloque[] Bloques;
    
    public void Verificar()
    {
        bool ganar = true; 

        for(int i = 0; i < Bloques.Length; i++)
        {
            if (!Bloques[i].activado)
            {
                ganar = false;
            }
        }

        if (ganar)
        {
            //Aqui pasa cuando ganas

            GameManager.GetInstancia().IncrementarContador();
            GameManager.GetInstancia().ActivarAnimacionesVanish(3);
            AudioManager.instance.PlayClip("Complete", "Effects2");

            Invoke("Desactivar", 2f);
        }

    }

    private void Desactivar()
    {
        gameObject.SetActive(false);
    }

}
