﻿using System.Collections;
using System.Collections.Generic;
using UnityEngine;

public class Codigo : MonoBehaviour
{
    public float tiempoBajada = 0.1f;
    public float tiempoRegreso = 0.5f;
    private float currentTime;

    [HideInInspector]public bool Rebobinar = false;
    private Vector2 posicionInicial;
    private void Start()
    {
        posicionInicial = transform.position;
        currentTime = 0f;
    }

    private void Update()
    {
        MoverCodigo();
    }
    private void MoverCodigo()
    {
        currentTime += Time.deltaTime;

        if (!Rebobinar)
        {
            if (currentTime > tiempoBajada)
            {
                transform.Translate(new Vector3(0, -0.1f, 0));
                currentTime = 0;
            }

        }

        if (Rebobinar)
        {
            if (currentTime > tiempoRegreso)
            {
                if (transform.position.y != posicionInicial.y)
                {
                    transform.Translate(new Vector3(0, 0.1f), 0);
                }
                else
                {
                    Rebobinar = false;
                }
            }
        }
    }


}
