﻿using System.Collections;
using System.Collections.Generic;
using UnityEngine;

public class Tutorial : MonoBehaviour
{
    [SerializeField] private BloqueTutorial[] bloques;

    private bool ganar = false;


    public void verificar()
    {
        ganar = true;

        for(int i = 0; i < bloques.Length; i++)
        {
            if (!bloques[i].activado)
            {
                ganar = false;
                break;
            }
        }


        if (ganar)
        {
            //aqui sucede lo que pasa cuando ganas el tutorial

            GameManager.GetInstancia().IncrementarContador();
            GameManager.GetInstancia().DesactivarCamino();
            GameManager.GetInstancia().ActivarAnimacionesVanish(4);
            AudioManager.instance.PlayClip("Complete", "Effects2");

            Invoke("Desactivar", 2f);

            Debug.Log("terminado");
        }


    }

    private void Desactivar()
    {
        gameObject.SetActive(false);
    }
}
